                      Computer Science 825
                         Quiz B           Name _______________________

1. Which routing algorithm is used by the spanning tree bridge
   if the location of the destination node is unknown?

   a. Spanning tree.              b. Flooding

   c. Backward learning.          d. Shortest past first.

2. Which routing algorithm does the spanning tree bridge employ
   in order to minimize the occurrences of destination unknowns.

   a. Spanning tree.              b. Flooding

   c. Backward learning.          d. Bellman-Ford.

3. The use of the spanning tree algorithm on the transparent
   bridge is necessary

   a. Any time more than two      b. Any time the bridges are
      networks are bridged.          connected in such a way that
                                     a loop or cycle exists in the net.

   c. Both a. and b.              d. Neither a. nor b.

4. When a bridge port is not included in the spanning tree the
   bridge:

   a. Doesn't receive data on it    b. Doesn't transmit data on it

   c. Both a. and b.                d. Neither a. nor b.

5. Which routing algorithm is used by the source routing bridge
   in routing "discovery" packets to the destination.

   a. Spanning tree.              b. Flooding

   c. Backward learning.          d. Shortest path first.

6. Identify ALL environments in which preallocation of buffers is
   a feasible way in which to do congestion control.

   a. Unreliable datagram            b. Unreliable connection oriented.

   c. Reliable connection oriented.


7. Identify ALL environments in which packet discarding is
   a feasible way in which to do congestion control.

   a. Unreliable datagram            b. Unreliable connection oriented.

   c. Reliable connection oriented.

8. Choke packets are sent:

   a. from an imp experiencing    b. To an IMP experiencing
      congestion to the source       congestion from the source
      host of a packet.              host of a packet.

   c. From an IMP experiencing    d. To an IMP experiencing
      congestion to the dest         congestion from the dest
      host of a packet.              host of a packet.

9. In the heirarchical buffer allocation algorithm of Merlin and Schweitzer
   the number of buffers at each routing node has a greatest lower bound of:

   a. 1                              b. The number of nodes in the
                                        network.

   c, The maximum number of packets  d. The maximum length in hops of
      in the network at any one time.   of any route in the network.


10. Describe what is meant by the term "reassembly deadlock". Illustrate
    your description with a diagram.
